WordPress Job Manager bővítmény cross-site scripting sérülékenységek

CH azonosító

CH-7118

Angol cím

WordPress Job Manager Plugin Multiple Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2012.06.27.

Súlyosság

Alacsony

Érintett rendszerek

Job Manager Plugin
WordPress

Érintett verziók

WordPress Job Manager Plugin 0.x

Összefoglaló

A WordPress Job Manager bővítményének olyan sérülékenységeit jelentették, amelyeket a támadók kihasználva cross-site scripting (XSS/CSS) támadásokat hajthatnak végre.

Leírás

Bizonyos nem részletezett bemeneti adatok nincsenek megfelelően megtisztítva a wp-content/plugins/job-manager/admin-applications.php-ben, mielőtt visszaadásra kerülnének. Ezt kihasználva, tetszőleges HTML és script kódot lehet lefuttatni a felhasználó böngészőjében, az érintett oldal vonatkozásában.

A sérülékenységeket a 0.7.18 verzióban jelentették, de korábbi kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra